1. BeyondTheBox's Avatar
    So my father has a 3GS and got a text message that said to sync his iPhone to his computer for an update to v4.2. He connects his device to the pooter and it says there's an update and to simply click the toggle. He clicks the toggle and a pop-up shows saying "your iTunes is already updated to version...."

    Umm... okay, but what about my iPhone software version??? LOL! Has anyone experienced this or know how to fix/solve?
    02-18-11 12:40 PM
  2. DawgMan's Avatar
    This may be a stupid question, but when you connect the iphone and it shows up in the left column, can you click on that and bring up the device info to do the iOS update?
    02-18-11 12:45 PM
  3. JRSCCivic98's Avatar
    He might want to check under Settings/General/About first and make sure the iPhone isn't already on 4.2.x. All else fails, follow one of these steps... iTunes: Backing up, updating, and restoring your iPhone, iPad, or iPod touch software If that fails, you'll need to just get a manual download of the 4.2 restore file from Apple and then do a manual restore on the phone through iTunes, but that's slightly more complex than these other instructions.
    02-18-11 12:48 PM
  4. BeyondTheBox's Avatar
    Figured out what it is. He has an older version of Mac software on his laptop, Tiger, and the version of iTunes on it wasn't high enough to complete the update. Luckily I have Leopard on mine which has the newest version of iTunes and I just plugged his phone into my laptop and voila. Sounds like poor pops is SOL with updates on his computer... 'bout time he have to rely on me for something! ;D Now I can hold it over his head like he did my birth for over 15 years...
    02-18-11 01:22 PM
  5. JRSCCivic98's Avatar
    Umm, why can't he just update the iTunes version on his Mac to the latest version? I'm no Mac person, but it seems weird that Apple wouldn't allow you to update iTunes unless you update the OS on the Mac.
    02-18-11 10:43 PM
  6. mark_rivers19's Avatar
    i use a Mac. running on Leopard.
    even with your Dad's Tiger, the latest I-tunes should be ok.
    anyway, going back to your Dad's case.
    You said you updated his 3GS using your laptop? hmmm..
    so now his Phone is authorized in your laptop and Deauthorized in his.
    that's gonna be tricky when he sync his iphone to his laptop.
    Remember the 1 iphone/1 computer policy that APPLE has.

    but hold on, there can be a work around here.
    if you still live with your dad, then it will be easy.
    just add him as a USER in your Mac and have his own itunes library.
    so your laptop won't be confused to who's syncing who.. YOU or your dad.
    02-18-11 10:59 PM
  7. BeyondTheBox's Avatar
    Umm, why can't he just update the iTunes version on his Mac to the latest version? I'm no Mac person, but it seems weird that Apple wouldn't allow you to update iTunes unless you update the OS on the Mac.
    That's exactly what they've done though! Just like any company, and rationally so, you can only provide after purchase support to a certain extent then it's time to expect your customer to upgrade the hardware as well. Pops needs 1.67 ghz processor from his 1.5 and voila, simple as that, he can put Leopard on it and continue his upgrades, however Leopard requires the 1.67 ghz processor for function. On Tiger the iTunes version is as high as it can go, no 10.anything available.
    02-18-11 11:01 PM
  8. BeyondTheBox's Avatar
    i use a Mac. running on Leopard.
    even with your Dad's Tiger, the latest I-tunes should be ok.
    anyway, going back to your Dad's case.
    You said you updated his 3GS using your laptop? hmmm..
    so now his Phone is authorized in your laptop and Deauthorized in his.
    that's gonna be tricky when he sync his iphone to his laptop.
    Remember the 1 iphone/1 computer policy that APPLE has.

    but hold on, there can be a work around here.
    if you still live with your dad, then it will be easy.
    just add him as a USER in your Mac and have his own itunes library.
    so your laptop won't be confused to who's syncing who.. YOU or your dad.
    It's not, 4.2 requires a certain level of iTunes to sync with it, and Tiger does not currently, and probably won't ever, support the higher versions necessary. As for which computer its synced with, he didn't care, he just wanted the latest version, because he plans on updating his hardware to support Leopard on it anyway, this just forces his hand. A push in the right direction, so to speak.
    02-18-11 11:07 PM
LINK TO POST COPIED TO CLIPBOARD